Bug 132015 - [patch] Update palm/palmos-sdk to latest version
[patch] Update palm/palmos-sdk to latest version
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Thomas Abthorpe
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-23 17:30 UTC by glen.j.barber
Modified: 2009-02-28 18:50 UTC (History)
0 users

See Also:


Attachments
file.diff (935 bytes, patch)
2009-02-23 17:30 UTC, glen.j.barber
no flags Details | Diff
file.diff (572 bytes, patch)
2009-02-23 17:30 UTC, glen.j.barber
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description glen.j.barber 2009-02-23 17:30:01 UTC
Update palm/palmos-sdk to latest version. 

Edited files: palm/palmos-sdk/Makefile palm/palmos-sdk/distinfo

Fix: Makefile:
distinfo:
Comment 1 Thomas Abthorpe freebsd_committer 2009-02-23 17:52:09 UTC
Responsible Changed
From-To: freebsd-ports-bugs->tabthorpe

I'll take it.
Comment 2 glen.j.barber 2009-02-24 01:13:49 UTC
My apologies.  The patch I submitted was, in fact, an incorrect patch.
 The correct patches are as follows:

Index: Makefile
===================================================================
--- Makefile	(revision 19)
+++ Makefile	(working copy)
@@ -9,7 +9,7 @@
 PORTVERSION=	${SDKVER}r3
 CATEGORIES=	palm
 MASTER_SITES=
-DISTFILES=	palmos-sdk-${SDKVER}r3-1.tar.gz
+DISTFILES=	palmos-sdk-${SDKVER}r3-1.tar.gz.tar

 MAINTAINER=	glen.j.barber@gmail.com
 COMMENT=	Palm OS SDK
@@ -25,8 +25,8 @@

 .include <bsd.port.pre.mk>

-.if !exists(${DISTDIR}/palmos-sdk-${SDKVER}r3-1.tar.gz)
-IGNORE='You must manually fetch the palmos-sdk tarfile from:
http://www.accessdevnet.com/ .  You will be required to register on
the site.  After fetching the file, rename the extention from
.tar.gz.tar to .tar.gz, place the file in ${DISTDIR}, and run make
again.'
+.if !exists(${DISTDIR}/palmos-sdk-${SDKVER}r3-1.tar.gz.tar)
+IGNORE='You must manually fetch the palmos-sdk tarfile from:
http://www.accessdevnet.com/ .  You will be required to register on
the site.  After fetching the file, place it in ${DISTDIR}, and run
make again.'
 .endif

 do-install:


Index: distinfo
===================================================================
--- distinfo	(revision 19)
+++ distinfo	(working copy)
@@ -1,3 +1,3 @@
-MD5 (palmos-sdk-5[1].0r3-1.tar.gz) = 56647bd079f9c23b4df491c165caf7ca
-SHA256 (palmos-sdk-5[1].0r3-1.tar.gz) =
743340c227da7f2beb961bfdf2961d7f436cba7ccbe08b0d667a4c8b964a8ece
-SIZE (palmos-sdk-5[1].0r3-1.tar.gz) = 467607
+MD5 (palmos-sdk-5[1].0r3-1.tar.gz.tar) = 56647bd079f9c23b4df491c165caf7ca
+SHA256 (palmos-sdk-5[1].0r3-1.tar.gz.tar) =
743340c227da7f2beb961bfdf2961d7f436cba7ccbe08b0d667a4c8b964a8ece
+SIZE (palmos-sdk-5[1].0r3-1.tar.gz.tar) = 467607


Thanks, and sorry for the noise.

-- 
Glen Barber
Comment 3 dfilter freebsd_committer 2009-02-28 18:40:46 UTC
tabthorpe    2009-02-28 18:40:37 UTC

  FreeBSD ports repository

  Modified files:
    palm/palmos-sdk      Makefile distinfo 
  Log:
  - Update to 5.1.0r3
  
  PR:             ports/132015
  Submitted by:   Glen Barber <glen.j.barber gmail.com> (maintainer)
  
  Revision  Changes    Path
  1.11      +17 -2     ports/palm/palmos-sdk/Makefile
  1.6       +3 -3      ports/palm/palmos-sdk/distinfo
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 4 Thomas Abthorpe freebsd_committer 2009-02-28 18:41:17 UTC
State Changed
From-To: open->closed

Committed, with minor changes. Thanks!